[Tool] phpBB 2.0.11 to phpBB 2.0.12 Code Changes

All new MODs released in our MOD Database will be announced in here. All support for released MODs needs to take place in here. No new MODs will be accepted into the MOD Database for phpBB2
Forum rules
READ: phpBB.com Board-Wide Rules and Regulations

On February 1, 2009 this forum will be set to read only as part of retiring of phpBB2.

Rating:

Excellent!
77
71%
Very Good
13
12%
Good
7
6%
Fair
4
4%
Poor
8
7%
 
Total votes: 109

agent00shoe
Registered User
Posts: 373
Joined: Sat Feb 12, 2005 9:39 pm

Post by agent00shoe » Tue Feb 22, 2005 2:51 am

K, just making sure. I like that feature of not announcing the version to the world, btw. :D

Thanks!

fullmetalpacket
Registered User
Posts: 14
Joined: Mon Oct 04, 2004 5:03 am

Post by fullmetalpacket » Tue Feb 22, 2005 2:54 am

salty78 wrote: Check in this forum to find the tool to change from .0.10 to .0.11.


I tried, the search function seems to be broken :(

User avatar
salty78
Registered User
Posts: 63
Joined: Sat Feb 21, 2004 10:14 am

Post by salty78 » Tue Feb 22, 2005 3:03 am

http://www.phpbb.com/phpBB/viewtopic.php?t=240611

There you go. That will show you how to change from 2.0.10 to 2.0.11.
meh

fullmetalpacket
Registered User
Posts: 14
Joined: Mon Oct 04, 2004 5:03 am

Post by fullmetalpacket » Tue Feb 22, 2005 3:07 am

salty78 wrote: http://www.phpbb.com/phpBB/viewtopic.php?t=240611

There you go. That will show you how to change from 2.0.10 to 2.0.11.


thanks lot

FuNEnD3R
Registered User
Posts: 267
Joined: Sun Aug 03, 2003 6:57 pm
Contact:

Post by FuNEnD3R » Tue Feb 22, 2005 3:17 am

Installed on all of my forums and working great :)

listerine
Registered User
Posts: 3
Joined: Wed Feb 16, 2005 4:59 pm

Post by listerine » Tue Feb 22, 2005 3:22 am

Parse error: parse error, unexpected T_VARIABLE in /home/.handsome/kilojoule/kilojoule.net/forum/common.php on line 193

I got this error after I did the tutorial. There where no files that I hade to upload just do the changes in the tutorial and I'm ok, correct ?

agent00shoe
Registered User
Posts: 373
Joined: Sat Feb 12, 2005 9:39 pm

Post by agent00shoe » Tue Feb 22, 2005 3:27 am

listerine wrote: Parse error: parse error, unexpected T_VARIABLE in /home/.handsome/kilojoule/kilojoule.net/forum/common.php on line 193

I got this error after I did the tutorial. There where no files that I hade to upload just do the changes in the tutorial and I'm ok, correct ?


I got the same thing at first. Be sure you aren't replacing an extra } bracket. The larger chunk for one of the modded areas should look like this.

Code: Select all

	// Merge all into one extremely huge array; unset
	// this later
	$input = array_merge($HTTP_GET_VARS, $HTTP_POST_VARS, $HTTP_COOKIE_VARS, $HTTP_SERVER_VARS, $HTTP_SESSION_VARS, $HTTP_ENV_VARS, $HTTP_POST_FILES);

   unset($input['input']);
   unset($input['not_unset']);

   while (list($var,) = @each($input))
   {
      if (!in_array($var, $not_unset))
      {
         unset($$var);
      }
   }
   
	unset($input);
}

//
// addslashes to vars if magic_quotes_gpc is off
// this is a security precaution to prevent someone
// trying to break out of a SQL statement.
//

mechagrover
Registered User
Posts: 17
Joined: Wed Nov 03, 2004 12:49 am

Post by mechagrover » Tue Feb 22, 2005 3:29 am

Modded the files, uploaded everything and the forum is working fine, but I get a warning in my admin panel that I am running 2.0.11

I put the update_to_latest.php in an install folder under the forum directory, but it only tells me to read the (2.0.10) install doc rather than giving me a submit button.

Do I HAVE to have subsilver to fix this?

listerine
Registered User
Posts: 3
Joined: Wed Feb 16, 2005 4:59 pm

Post by listerine » Tue Feb 22, 2005 3:34 am

thanks I fixed it.

DMAG
Registered User
Posts: 105
Joined: Fri Mar 12, 2004 12:45 pm

Post by DMAG » Tue Feb 22, 2005 3:40 am

Great code updates as always for us heavily modded folks. Worked perfectly!

Thanks to the staff and Acyd Burn! :D

db77
Registered User
Posts: 75
Joined: Wed Dec 29, 2004 4:33 am

Problem with 2.0.11 to 2.0.12 MOD

Post by db77 » Tue Feb 22, 2005 3:49 am

I'm reposting this message to this more appropriate topic area...
I followed the MOD tutorial (checked everything twice). I created an Install directory, placed the update_to_latest.php file in this directory and ran it. I got a confirmation page that said everything was fine. I deleted the Install directory and .php file. However, when I go to my board I get a blank page!! What can I do? I can't even restore since I can't get to my Admin panel.

Any help would be appreciated. Thanks. :)

User avatar
salty78
Registered User
Posts: 63
Joined: Sat Feb 21, 2004 10:14 am

Post by salty78 » Tue Feb 22, 2005 4:21 am

Go through and check all your changes again.
meh

User avatar
MoLew
Registered User
Posts: 198
Joined: Fri Jul 05, 2002 7:52 pm
Location: Minnesota, U.S.A.

Post by MoLew » Tue Feb 22, 2005 5:56 am

The only omission in the update directions I found was to ensure the "update_to_latest.php" file was placed in an "install" folder before running (as mentioned above in another post).

My thanks to the entire phpBB staff for staying on top of security issues, and for creating these easy to follow directions for proper updating of heavily modded boards.

:hats off:

~~

@CyberAlien:

I noticed one minor thing, of no significant importance really... The version information displayed at the footer of the Extreme Styles ACP main panel displays this:
Powered by phpBB 2.0.12 © 2001-2004


I can assume that it's safe to change that date to "2001-2005" ? :wink:

kitsunek
Registered User
Posts: 25
Joined: Fri Dec 10, 2004 10:14 am

Post by kitsunek » Tue Feb 22, 2005 7:57 am

Hey guys i have a questions..

i have easy mod, security AMOD and cashmod..

should i just install a clean phpbb 11 and then update to 12, and then do the mods again ??

will the backed up forum from 11 work on 12?

thanks.

markus_petrux
Former Team Member
Posts: 1887
Joined: Wed Apr 23, 2003 7:11 am
Location: Girona, Catalunya (Spain)
Contact:

Post by markus_petrux » Tue Feb 22, 2005 8:03 am

nevermind


.
Last edited by markus_petrux on Tue Feb 22, 2005 11:45 am, edited 1 time in total.
EasyMOD Standards | MOD Template Actions | MODs in Development Rules
Useful information for MOD Authors | MOD Queue Stats | Search MODs
Write SQL/DDL portable to all SQL servers supported by phpBB!
Get EasyMOD 0.3.0! | Suport al phpBB en Català!
8)

Post Reply

Return to “[2.0.x] MOD Database Releases”